apiVersion: wopla.io/v1beta1
kind: Nexus
metadata:
  labels:
    opsperator.io/Ci: kube
    opsperator.io/Jenkins: kube
    opsperator.io/Tekton: kube
  name: kube
  namespace: ci
spec:
  auth_namespace: sso-demo
  do_debugs: true
  do_network_policy: true
  do_triggers: false
  images_builds_namespace: ci
  k8s_registry_ns: default
  k8s_registry_svc: registry-kube
  k8s_resource_nodes_selectors:
  - node-role.kubernetes.io/worker=true
  nexus_admin_password: secret
  # actual value would show in nexus-<name>-admin secret
  nexus_blobstores:
  - deb
  - docker
  - npm
  - raw
  nexus_cpu_limit: 500m
  nexus_cpu_request: 200m
  nexus_data_capacity: 50Gi
  #nexus_image_source: git@gitlab.com:synacksynack/opsperator/docker-nexus
  nexus_java_args:
  - -Xms1400m
  - -Xmx1400m
  - -XX:MaxDirectMemorySize=2g
  nexus_memory_limit: 4200Mi
  nexus_memory_request: 3800Mi
  nexus_replicas: 1
  nexus_repositories:
  - registry-npmjs|npm|proxy|https://registry.npmjs.org|npm
  - custom-npm|npm|hosted|npm
  - debian-buster|apt|proxy|https://ftp.debian.org|buster|deb
  - custom-buster|apt|hosted|my-keyring-raw|my-keyring-passphrase|buster|deb
  - registry-dockerio|docker|proxy|https://docker.io|5001||docker
  - custom-http-docker|docker|hosted|5002||docker
  - custom-raw|raw|hosted|raw
  nexus_tag: master
  nexusexporter_tag: master
  pull_policy: Always
  root_domain: ci.apps.intra.unetresgrossebite.com
  squid_namespace: default
  #sshd_image_source: git@gitlab.com:synacksynack/opsperator/docker-sshd
  sshd_tag: master
